linux-lts-raring: 3.8.0-35.50~precise1 -proposed tracker

Bug #1257165 reported by Brad Figg on 2013-12-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-35.50~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 03. December 2013 04:40 UTC
kernel-stable-master-bug:1257102
kernel-stable-Prepare-package-end:Wednesday, 04. December 2013 20:03 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 04. December 2013 20:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 05. December 2013 20:02 UTC
kernel-stable-Verification-testing-start:Thursday, 05. December 2013 21:04 UTC
kernel-stable-Certification-testing-start:Thursday, 05. December 2013 21:04 UTC
kernel-stable-Security-signoff-start:Thursday, 05. December 2013 21:04 UTC
kernel-stable-Regression-testing-start:Thursday, 05. December 2013 21:04 UTC
kernel-stable-Regression-testing-end:Tuesday, 10. December 2013 23:02 UTC
kernel-stable-Certification-testing-end:Thursday, 12. December 2013 17:02 UTC
kernel-stable-Security-signoff-end:Friday, 13. December 2013 15:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 02. January 2014 02:03 UTC
kernel-stable-Promote-to-updates-end:Thursday, 02. January 2014 23:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 03. January 2014 00:06 UTC

Brad Figg (brad-figg) on 2013-12-03
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-12-05
description: updated
Brad Figg (brad-figg) on 2013-12-05
description: updated

Hardware Certification have begun testing this -proposed kernel.

Paul Larson (pwlars) on 2013-12-10
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-12-10
description: updated

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.8.0-35.50~precise1/precise-3.8-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-12-12
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-12-13
description: updated
Brad Figg (brad-figg) on 2014-01-02
description: updated
Adam Conrad (adconrad) on 2014-01-02
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (7.7 KiB)

This bug was fixed in the package linux-lts-raring - 3.8.0-35.50~precise1

---------------
linux-lts-raring (3.8.0-35.50~precise1) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1257165

  [ Andy Whitcroft ]

  * [Config] CONFIG_DEBUG_BUGVERBOSE=y
    - LP: #1252353

  [ Kamal Mostafa ]

  * SAUCE: (no-up) drm/i915: i915.disable_pch_pwm overrides PCH_PWM_ENABLE
    quirk
    - LP: #1163720

  [ Upstream Kernel Changes ]

  * PCI: Allow PCIe Capability link-related register access for switches
    - LP: #1252987
  * PCI: Remove PCIe Capability version checks
    - LP: #1252987
  * PCI: Support PCIe Capability Slot registers only for ports with slots
    - LP: #1252987
  * ACPICA: Interpreter: Fix Store() when implicit conversion is not
    possible.
    - LP: #1257026
  * ACPICA: DeRefOf operator: Update to fully resolve FieldUnit and
    BufferField refs.
    - LP: #1257026
  * ACPICA: Return error if DerefOf resolves to a null package element.
    - LP: #1257026
  * ACPICA: Fix for a Store->ArgX when ArgX contains a reference to a
    field.
    - LP: #1257026
  * vxlan: fix ip_select_ident skb parameter
    - LP: #1257026
  * tcp: TSO packets automatic sizing
    - LP: #1257026
  * tcp: TSQ can use a dynamic limit
    - LP: #1257026
  * net: Add skb_unclone() helper function.
    - LP: #1257026
  * ipv6: fix warning in xfrm6_mode_tunnel_input
    - LP: #1257026
  * ip: fix warning in xfrm4_mode_tunnel_input
    - LP: #1257026
  * tcp: must unclone packets before mangling them
    - LP: #1257026
  * tcp: do not forget FIN in tcp_shifted_skb()
    - LP: #1257026
  * net: do not call sock_put() on TIMEWAIT sockets
    - LP: #1257026
  * l2tp: fix kernel panic when using IPv4-mapped IPv6 addresses
    - LP: #1257026
  * l2tp: Fix build warning with ipv6 disabled.
    - LP: #1257026
  * net: mv643xx_eth: update statistics timer from timer context only
    - LP: #1257026
  * net: mv643xx_eth: fix orphaned statistics timer crash
    - LP: #1257026
  * net: heap overflow in __audit_sockaddr()
    - LP: #1257026
  * proc connector: fix info leaks
    - LP: #1257026
  * ipv4: fix ineffective source address selection
    - LP: #1257026
  * can: dev: fix nlmsg size calculation in can_get_size()
    - LP: #1257026
  * net: secure_seq: Fix warning when CONFIG_IPV6 and CONFIG_INET are not
    selected
    - LP: #1257026
  * xen-netback: Don't destroy the netdev until the vif is shut down
    - LP: #1257026
  * net: vlan: fix nlmsg size calculation in vlan_get_size()
    - LP: #1257026
  * vti: get rid of nf mark rule in prerouting
    - LP: #1257026
  * l2tp: must disable bh before calling l2tp_xmit_skb()
    - LP: #1257026
  * farsync: fix info leak in ioctl
    - LP: #1257026
  * unix_diag: fix info leak
    - LP: #1257026
  * connector: use nlmsg_len() to check message length
    - LP: #1257026
  * virtio-net: don't respond to cpu hotplug notifier if we're not ready
    - LP: #1257026
  * bridge: Correctly clamp MAX forward_delay when enabling STP
    - LP: #1257026
  * net: dst: provide accessor function to dst->xfrm
    - LP: #1257026
  * sctp: Use software crc32 checksum when xfrm transform will happen.
    - LP: #12570...

Read more...

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
status: New → Fix Released
Brad Figg (brad-figg) on 2014-01-02
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers